Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.impl.render.empty
Class EmptyWindowRenderer

    java.lang.Object
      org.jboss.portal.theme.render.AbstractObjectRenderer
          org.jboss.portal.theme.impl.render.empty.EmptyWindowRenderer

All Implemented Interfaces:
  ObjectRenderer, WindowRenderer

    public class EmptyWindowRenderer

extends AbstractObjectRenderer
implements WindowRenderer

Implementation of a Window renderer that creates no markup, and only passed control to the Portlet renderer.

Version:
  $LastChangedRevision: 8784 $, $LastChangedDate: 2007-10-28 01:01:46 +0200 (Sun, 28 Oct 2007) $
Author:
  `WindowRenderer`

Constructor Summary
`EmptyWindowRenderer()`

Method Summary
`void` | `render(RendererContext rendererContext, WindowRendererContext wrc)` Render the markup of a portlet window.

Methods inherited from class org.jboss.portal.theme.render.AbstractObjectRenderer
`endContext, startContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.theme.render.ObjectRenderer
`endContext, startContext`

Constructor Detail

### EmptyWindowRenderer

    public EmptyWindowRenderer()

Method Detail

### render

    public void render(RendererContext rendererContext,
                       WindowRendererContext wrc)
                throws RenderException

  Description copied from interface: `WindowRenderer`
  Render the markup of a portlet window.

  Specified by:
    `render` in interface `WindowRenderer`
  Parameters:
    `rendererContext` - the state holder to provide information about the region, it's portlets, and the render set, which allows access to the other renderer interfaces of the render set.
  Throws:
    `RenderException`
  See Also:
    `RegionRenderer.renderBody(org.jboss.portal.theme.render.RendererContext, org.jboss.portal.theme.render.renderer.RegionRendererContext)`, `PortletRenderer.render(org.jboss.portal.theme.render.RendererContext, org.jboss.portal.theme.render.renderer.PortletRendererContext)`, `DecorationRenderer.render(org.jboss.portal.theme.render.RendererContext, org.jboss.portal.theme.render.renderer.DecorationRendererContext)`, `WindowContext`, `WindowResult`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD